Skip to navigation

Delete cloud storage providers

View as Markdown
Deletes the user authentication information for one or more cloud storage providers. The next time the user tries to access the cloud storage provider, they must pass normal authentication.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

userIdstringRequired

The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. Note: For the GET /v2/accounts/{accountId}/envelopes method, the user_id query parameter is not implemented and should not be used.

Request

This endpoint expects an object: cloudStorageProviders

storageProviderslist of objectsOptional
An Array containing the storage providers associated with the user.

Response

Successful response.
storageProviderslist of objectsOptional
An Array containing the storage providers associated with the user.

Errors

400
Bad Request Error